#if !defined(AFX_LAUNCHITEMDLG_H__1FD1C2E7_DF50_4116_B457_E8979AA3A49F__INCLUDED_)
#define AFX_LAUNCHITEMDLG_H__1FD1C2E7_DF50_4116_B457_E8979AA3A49F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LaunchItemDlg.h : ヘッダー ファイル
class CLaunchItem;

/////////////////////////////////////////////////////////////////////////////
// CLaunchItemDlg ダイアログ

class CLaunchItemDlg : public CDialog
{
// コンストラクション
public:
	CLaunchItemDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	void	Attach( CLaunchItem* pLaunch ){ m_pLaunchItem = pLaunch; };

// ダイアログ データ
	//{{AFX_DATA(CLaunchItemDlg)
	enum { IDD = IDD_LAUNCHITEM };
	CEdit	m_editCommand;
	CStatic	m_IconCanvas;
	CString	m_strName;
	CString	m_strCommand;
	BOOL	m_bEnable;
	BOOL	m_bDefaultOpen;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CLaunchItemDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CString			m_strIconPathName;
	long			m_idxIcon;
	CLaunchItem*	m_pLaunchItem;

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CLaunchItemDlg)
	afx_msg void OnLaunchitemIconref();
	afx_msg void OnPaint();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnLaunchitemPath();
	afx_msg void OnLaunchitemShitarabianfolder();
	afx_msg void OnLaunchitemShitarabianhandle();
	afx_msg void OnLaunchitemFileref();
	afx_msg void OnLaunchitemShitarabiancurentdoc();
	afx_msg void OnLaunchitemShitarabianselection();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_LAUNCHITEMDLG_H__1FD1C2E7_DF50_4116_B457_E8979AA3A49F__INCLUDED_)
